## ros-one-filters 1.9.3-0jammy.20251023.0101

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(filters)

##############################################################################
# Find dependencies
##############################################################################

find_package(catkin REQUIRED COMPONENTS pluginlib roslib roscpp rosconsole)
find_package(Boost REQUIRED)

include_directories(
    include
    ${catkin_INCLUDE_DIRS}
)

##############################################################################
# Define package
##############################################################################

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES mean params increment median transfer_function
  CATKIN_DEPENDS roslib roscpp rosconsole pluginlib
  DEPENDS Boost
)

##############################################################################
# Build
##############################################################################

add_library(real_time_circular_buffer INTERFACE)
target_include_directories(real_time_circular_buffer INTERFACE
  include
  ${Boost_INCLUDE_DIRS})

# Plugins
add_library(mean src/mean.cpp)
target_link_libraries(mean
  ${catkin_LIBRARIES}
  real_time_circular_buffer)
add_library(params src/test_params.cpp)
target_link_libraries(params
  ${catkin_LIBRARIES}
  real_time_circular_buffer)
add_library(increment src/increment.cpp)
target_link_libraries(increment
  ${catkin_LIBRARIES}
  real_time_circular_buffer)
add_library(median src/median.cpp)
target_link_libraries(median
  ${catkin_LIBRARIES}
  real_time_circular_buffer)
add_library(transfer_function src/transfer_function.cpp)
target_link_libraries(transfer_function
  ${catkin_LIBRARIES}
  real_time_circular_buffer)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  # Test median filter
  add_executable(median_test EXCLUDE_FROM_ALL test/test_median.cpp )
  target_link_libraries(median_test median ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
  add_rostest(test/test_median.launch)

  # Test transfer function filter
  add_executable(transfer_function_test EXCLUDE_FROM_ALL test/test_transfer_function.cpp)
  target_link_libraries(transfer_function_test transfer_function ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
  add_rostest(test/test_transfer_function.launch)

  # Test mean filter
  add_executable(mean_test EXCLUDE_FROM_ALL test/test_mean.cpp)
  target_link_libraries(mean_test mean ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
  add_rostest(test/test_mean.launch)

  # Test params filter
  add_executable(params_test EXCLUDE_FROM_ALL test/test_params.cpp)
  target_link_libraries(params_test params ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
  add_rostest(test/test_params.launch)

  # Test plugin loading into filter chain
  add_executable(chain_test EXCLUDE_FROM_ALL test/test_chain.cpp)
  target_link_libraries(chain_test increment ${catkin_LIBRARIES} ${GTEST_LIBRARIES}) # Needed for OSX
  add_rostest(test/test_chain.launch)

  # Test realtime safe buffer class
  catkin_add_gtest(realtime_buffer_test EXCLUDE_FROM_ALL test/test_realtime_circular_buffer.cpp)
  target_link_libraries(realtime_buffer_test real_time_circular_buffer)
endif()

##############################################################################
# Install
##############################################################################

# Install libraries
install(TARGETS mean params increment median transfer_function
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install plugins xml file
install(FILES default_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  if(TARGET tests)
  add_dependencies(tests median_test transfer_function_test mean_test params_test chain_test)
  endif()
endif()

=== debian/changelog ===
ros-one-filters (1.9.3-0jammy.20251023.0101) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 23 Oct 2025 01:01:53 +0000

ros-one-filters (1.9.3-0jammy) jammy; urgency=high

  * [ROS-O] update pluginlib include names (#64 <https://github.com/ros/filters/issues/64>)
  * [ROS-O] remove obsolete register keyword (#63 <https://github.com/ros/filters/issues/63>)
  * Contributors: Jonathan Binney, v4hn

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-filters (1.9.2-0jammy) jammy; urgency=high

  * Give access to FilterChain list of loaded filters
  * Fix warnings and problem with illegal xml characters
  * Contributors: Markus Vieth, Martin Pecka

 -- Tully Foote <tfoote@willowgarage.com>  Mon, 09 May 2022 00:00:00 -0000

ros-one-filters (1.9.1-0jammy) jammy; urgency=high

  * make FilterBase::getName() const
  * Making FilterBase::getParam const
  * narrow down required boost dependencies (#40 <https://github.com/ros/filters/issues/40>)
  * [noetic] deprecate h for hpp (#34 <https://github.com/ros/filters/issues/34>)
  * [noetic] Delete unused code (#33 <https://github.com/ros/filters/issues/33>)
  * Bump CMake version to avoid CMP0048
  * Contributors: Alejandro Hernández Cordero, Mikael Arguedas, Shane Loretz, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Wed, 23 Sep 2020 00:00:00 -0000

ros-one-filters (1.9.0-0jammy) jammy; urgency=high

  * Reduce dependency on boost (#30 <https://github.com/ros/filters/issues/30>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@willowgarage.com>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-filters (1.8.1-0jammy) jammy; urgency=high

  * Fix warning about string type
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@willowgarage.com>  Tue, 25 Apr 2017 00:00:00 -0000

ros-one-filters (1.8.0-0jammy) jammy; urgency=high

  * Remove promiscuous filter finding
    When specifying filters, you must now include the package name and exact
    filter name. Previously a workaround would search packages for any filter
    with the specified string in the filter name. This has been deprecated for
    a while, and here we're removing it. #14 <https://github.com/ros/filters/issues/14>
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@willowgarage.com>  Fri, 07 Apr 2017 00:00:00 -0000

ros-one-filters (1.7.5-0jammy) jammy; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * check for CATKIN_ENABLE_TESTING
  * Add support for boolean parameters (fix #6 <https://github.com/ros/filters/issues/6>)
  * Contributors: Boris Gromov, Lukas Bulwahn, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 16 Mar 2017 00:00:00 -0000

ros-one-filters (1.7.4-0jammy) jammy; urgency=high

  * Remove trailing whitespace and old <cpp> export
  * Removing vestigial files
  * Merge pull request #5 <https://github.com/ros/filters/issues/5> from ahendrix/hydro-devel
    Fix pluginlib macros and createInstance usage.
  * Fix pluginlib macros and createInstance usage.
  * Contributors: Austin Hendrix, William Woodall, jonbinney

 -- Tully Foote <tfoote@willowgarage.com>  Tue, 23 Jul 2013 00:00:00 -0000

ros-one-filters (1.7.3-0jammy) jammy; urgency=high

  * use new pluginlib API
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-filters (1.7.2-0jammy) jammy; urgency=high

  * a bunch of CMake fixes to get tests passing.
  * fixing linking
  * 1.7.2
    For bugfix release
  * Merge pull request #3 <https://github.com/ros/filters/issues/3> from dgossow/patch-1
    Export pluginlib as dependency
  * Export pluginlib as dependency
  * Contributors: David Gossow, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Wed, 26 Jun 2013 00:00:00 -0000

ros-one-filters (1.7.1-0jammy) jammy; urgency=high

  * bump version for bugfix
  * Merge pull request #2 <https://github.com/ros/filters/issues/2> from jonbinney/install_headers
    added install rule for headers in cmakelists
  * added install rule for headers in cmakelists
  * Contributors: Jon Binney, jonbinney

 -- Tully Foote <tfoote@willowgarage.com>  Fri, 24 May 2013 00:00:00 -0000

ros-one-filters (1.7.0-0jammy) jammy; urgency=high

  * bump version for hydro release
  * reenabled rostests
  * builds with catkin
  * branched to separate cpp and ROS parts
    --HG--
    branch : cpp_separation
  * Added tag unstable for changeset 661a74b486de
    --HG--
    branch : filters
  * Added tag filters-1.6.0 for changeset 925818adeafe
    --HG--
    branch : filters
  * 1.6.0
    --HG--
    branch : filters
  * creating unary stack to refactor from common
    --HG--
    branch : filters
  * url fix
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4037239
  * patch for #4144 <https://github.com/ros/filters/issues/4144> including backwards compatability.  Also added check to give nice error and quit if invalid filter name, instead of throwing exception
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030358
  * rest of fix for #4181 <https://github.com/ros/filters/issues/4181> tests
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030356
  * basic tests for #4181 <https://github.com/ros/filters/issues/4181> more to come
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030355
  * Added Ubuntu platform tags to manifest
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4029647


=== debian/control ===
Source: ros-one-filters
Section: misc
Priority: optional
Maintainer: Tully Foote <tfoote@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-one-catkin (>= 0.5.68), ros-one-pluginlib, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib, ros-one-rostest
Homepage: http://ros.org/wiki/filters
Standards-Version: 3.9.2

Package: ros-one-filters
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, ros-one-pluginlib, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib
Description: This library provides a standardized interface for processing data as a sequence of filters.
 This package contains a base class upon which to build specific implementations as well as an interface which dynamically loads filters based on runtime parameters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-filters//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-filters 1.9.3-0jammy.20260220.2158

=== debian/changelog ===
ros-one-filters (1.9.3-0jammy.20260220.2158) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@willowgarage.com>  Fri, 20 Feb 2026 21:58:32 +0000

## ros-one-filters 1.9.3-0noble.20251023.0100

=== debian/changelog ===
ros-one-filters (1.9.3-0noble.20251023.0100) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 23 Oct 2025 01:00:41 +0000

ros-one-filters (1.9.3-0noble) noble; urgency=high

  * [ROS-O] update pluginlib include names (#64 <https://github.com/ros/filters/issues/64>)
  * [ROS-O] remove obsolete register keyword (#63 <https://github.com/ros/filters/issues/63>)
  * Contributors: Jonathan Binney, v4hn

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-filters (1.9.2-0noble) noble; urgency=high

  * Give access to FilterChain list of loaded filters
  * Fix warnings and problem with illegal xml characters
  * Contributors: Markus Vieth, Martin Pecka

 -- Tully Foote <tfoote@willowgarage.com>  Mon, 09 May 2022 00:00:00 -0000

ros-one-filters (1.9.1-0noble) noble; urgency=high

  * make FilterBase::getName() const
  * Making FilterBase::getParam const
  * narrow down required boost dependencies (#40 <https://github.com/ros/filters/issues/40>)
  * [noetic] deprecate h for hpp (#34 <https://github.com/ros/filters/issues/34>)
  * [noetic] Delete unused code (#33 <https://github.com/ros/filters/issues/33>)
  * Bump CMake version to avoid CMP0048
  * Contributors: Alejandro Hernández Cordero, Mikael Arguedas, Shane Loretz, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Wed, 23 Sep 2020 00:00:00 -0000

ros-one-filters (1.9.0-0noble) noble; urgency=high

  * Reduce dependency on boost (#30 <https://github.com/ros/filters/issues/30>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@willowgarage.com>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-filters (1.8.1-0noble) noble; urgency=high

  * Fix warning about string type
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@willowgarage.com>  Tue, 25 Apr 2017 00:00:00 -0000

ros-one-filters (1.8.0-0noble) noble; urgency=high

  * Remove promiscuous filter finding
    When specifying filters, you must now include the package name and exact
    filter name. Previously a workaround would search packages for any filter
    with the specified string in the filter name. This has been deprecated for
    a while, and here we're removing it. #14 <https://github.com/ros/filters/issues/14>
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@willowgarage.com>  Fri, 07 Apr 2017 00:00:00 -0000

ros-one-filters (1.7.5-0noble) noble; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * check for CATKIN_ENABLE_TESTING
  * Add support for boolean parameters (fix #6 <https://github.com/ros/filters/issues/6>)
  * Contributors: Boris Gromov, Lukas Bulwahn, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 16 Mar 2017 00:00:00 -0000

ros-one-filters (1.7.4-0noble) noble; urgency=high

  * Remove trailing whitespace and old <cpp> export
  * Removing vestigial files
  * Merge pull request #5 <https://github.com/ros/filters/issues/5> from ahendrix/hydro-devel
    Fix pluginlib macros and createInstance usage.
  * Fix pluginlib macros and createInstance usage.
  * Contributors: Austin Hendrix, William Woodall, jonbinney

 -- Tully Foote <tfoote@willowgarage.com>  Tue, 23 Jul 2013 00:00:00 -0000

ros-one-filters (1.7.3-0noble) noble; urgency=high

  * use new pluginlib API
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@willowgarage.com>  Thu, 27 Jun 2013 00:00:00 -0000

ros-one-filters (1.7.2-0noble) noble; urgency=high

  * a bunch of CMake fixes to get tests passing.
  * fixing linking
  * 1.7.2
    For bugfix release
  * Merge pull request #3 <https://github.com/ros/filters/issues/3> from dgossow/patch-1
    Export pluginlib as dependency
  * Export pluginlib as dependency
  * Contributors: David Gossow, Tully Foote

 -- Tully Foote <tfoote@willowgarage.com>  Wed, 26 Jun 2013 00:00:00 -0000

ros-one-filters (1.7.1-0noble) noble; urgency=high

  * bump version for bugfix
  * Merge pull request #2 <https://github.com/ros/filters/issues/2> from jonbinney/install_headers
    added install rule for headers in cmakelists
  * added install rule for headers in cmakelists
  * Contributors: Jon Binney, jonbinney

 -- Tully Foote <tfoote@willowgarage.com>  Fri, 24 May 2013 00:00:00 -0000

ros-one-filters (1.7.0-0noble) noble; urgency=high

  * bump version for hydro release
  * reenabled rostests
  * builds with catkin
  * branched to separate cpp and ROS parts
    --HG--
    branch : cpp_separation
  * Added tag unstable for changeset 661a74b486de
    --HG--
    branch : filters
  * Added tag filters-1.6.0 for changeset 925818adeafe
    --HG--
    branch : filters
  * 1.6.0
    --HG--
    branch : filters
  * creating unary stack to refactor from common
    --HG--
    branch : filters
  * url fix
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4037239
  * patch for #4144 <https://github.com/ros/filters/issues/4144> including backwards compatability.  Also added check to give nice error and quit if invalid filter name, instead of throwing exception
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030358
  * rest of fix for #4181 <https://github.com/ros/filters/issues/4181> tests
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030356
  * basic tests for #4181 <https://github.com/ros/filters/issues/4181> more to come
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030355
  * Added Ubuntu platform tags to manifest
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4029647


## ros-one-filters 1.9.3-0noble.20260220.2207

=== debian/changelog ===
ros-one-filters (1.9.3-0noble.20260220.2207) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@willowgarage.com>  Fri, 20 Feb 2026 22:07:38 +0000
